dagsnap(1)

NAME
dagsnap - Endace DAG card capture utility

SYNOPSIS
dagsnap [options]

DESCRIPTION
dagsnap is a utility for writing raw data collected from an Endace DAG card directly to disk. Data is collected in Extensible Record Format (ERF) which can then be viewed using dagbits(1), or converted to other formats (including pcap(3)) using dagconvert(1).

OPTIONS

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-D N

--delay N
    Delay processing by an extra N milliseconds on each burst.

-h

-?

--help

--usage
    Display usage (help) information.

-j  Maximise disk writing performance by only writing data to disk in chunks. This option may not be available on all operating systems.

-m NUM
    Write at most NUM mebibytes of data per call to the DAG API (default is 4 MiB).

-o FILE
    Write the captured packets to FILE, in ERF format (default is standard output).

-s NUM
    Run for NUM seconds, then exit.

-v

--verbose
    Increase output verbosity. When dagsnap is run with this command three columns of data are reported every second. These columns contain

    1   The cumulative total of data written out from the DAG card.

    2   The buffer occupancy. Small values indicate no packet loss.

    3   The rate at which data is currently being written.

-V

--version
    Display version information.

-w N

--wait N
    Delay/wait N seconds, before capture and after the stream is initialized.

SEE ALSO
dagbits(1), dagconvert(1), pcap(3).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13732 $
$Date: 2011-01-14 17:12:47 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.